OSSIM-CMM(1)

NAME
ossim-cmm - ossim-cmm

SYNOPSIS
ossim-cmm <image_file>

DESCRIPTION
This program will force a recompute of Min/Max Pixel Values.

Description: ossim-cmm will force a recompute of Min/Max Pixel Values.

OPTIONS

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--max
    Hard coded max value for all bands

--min
    Hard coded min value for all bands

--null
    Hard coded null value for all bands

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--reader-prop <string>
    Adds a property to send to the reader. format is name=value

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-e or --entry
    Give the entry(zero based) to compute min / max for. NOTE: Option only valid with a single file.

-h or --help
    Display this information

-l or --list-entries
    Lists the entries within the image and returns without doing anything else.

-o  Write omd to file specified. If used on a multi-entry file, given "foo.omd" you will get: "foo_e0.omd"

-p  print values to standard output

  NOTES:

    - Default output is to a ".omd" file so if the image was "foo.tif" you

    will get a "foo.omd".

    - If the .omd file exists already this will open it and add

    or, overwrite the min, max keywords only.

    - If the -p option is used no .omd file will be written.

SEE ALSO
The full documentation for ossim-cmm is maintained as a Texinfo manual. If the info and ossim-cmm programs are properly installed at your site, the command

    info ossim-cmm

should give you access to the complete manual.